jp.cssj.cti2

## Class TranscoderException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - jp.cssj.cti2.TranscoderException

- All Implemented Interfaces:
    Serializable

      public class TranscoderException
      extends IOException

  ドキュメントの変換を中断したことを示す例外です。
  Version:
    $Id: TranscoderException.java 1552 2018-04-26 01:43:24Z miyabe $
  Author:
    MIYABE Tatsuhiko
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte` | `STATE_BROKEN` 変換結果のデータは破壊されています。
    `static byte` | `STATE_READABLE` 変換結果は不完全ですが、利用可能なデータです。

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TranscoderException(byte state, short code, String[] args, String message)`
    `TranscoderException(short code, String[] args, String message)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `getArgs()` メッセージに付随する値です。
    `short` | `getCode()` 中断の原因となったメッセージコードです。
    `byte` | `getState()` 変換後の状態(STATE_XXX定数)を返します。

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### STATE_READABLE

          public static final byte STATE_READABLE

      変換結果は不完全ですが、利用可能なデータです。
      See Also:
        Constant Field Values

    - #### STATE_BROKEN

          public static final byte STATE_BROKEN

      変換結果のデータは破壊されています。
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TranscoderException

          public TranscoderException(byte state,
                                     short code,
                                     String[] args,
                                     String message)

    - #### TranscoderException

          public TranscoderException(short code,
                                     String[] args,
                                     String message)

  - ### Method Detail

    - #### getCode

          public short getCode()

      中断の原因となったメッセージコードです。
      Returns:
        メッセージコード。

    - #### getArgs

          public String[] getArgs()

      メッセージに付随する値です。
      Returns:
        メッセージの引数。

    - #### getState

          public byte getState()

      変換後の状態(STATE_XXX定数)を返します。
      Returns:
        変換後の状態定数。

Copyright © 2018 座間ソフト. All rights reserved.